## EogImageSaveInfo

EogImageSaveInfo

## Synopsis

                        EogImageSaveInfo;
    #define             EOG_FILE_FORMAT_JPEG
    EogImageSaveInfo *  eog_image_save_info_from_image      (gpointer data);
    EogImageSaveInfo *  eog_image_save_info_from_uri        (const char *uri,
                                                             GdkPixbufFormat *format);
    EogImageSaveInfo *  eog_image_save_info_from_file       (GFile *file,
                                                             GdkPixbufFormat *format);

## Object Hierarchy

      GObject
       +----EogImageSaveInfo

## Description

## Details

### EogImageSaveInfo

    typedef struct _EogImageSaveInfo EogImageSaveInfo;

### EOG_FILE_FORMAT_JPEG

    #define EOG_FILE_FORMAT_JPEG   "jpeg"

### eog_image_save_info_from_image ()

    EogImageSaveInfo *  eog_image_save_info_from_image      (gpointer data);

`data` : |
Returns : |

### eog_image_save_info_from_uri ()

    EogImageSaveInfo *  eog_image_save_info_from_uri        (const char *uri,
                                                             GdkPixbufFormat *format);

`uri` : |
`format` : |
Returns : |

### eog_image_save_info_from_file ()

    EogImageSaveInfo *  eog_image_save_info_from_file       (GFile *file,
                                                             GdkPixbufFormat *format);

`file` : |
`format` : |
Returns : |